#==============================================================================
# CIRCUIT EXAMPLE #2
#==============================================================================
""" 
The circuit:
    * LEDs attached to pins 12 and 13 (with their respective resistors)
    * Servo signal wire attached to pin 6
    * Buzzer attached to pin 3 (with resistor)
"""

from pyrduino import Arduino
import time

# Connect to Arduino
myArduino = Arduino('COM6')
# Set default pins at OUTPUT
myArduino.setOutputPins()
# Attach servo to pin 6
myArduino.setServo(6)
# Turn-on/off LEDs
myArduino.ledOn([12,13])
time.sleep(1)
myArduino.ledOff([12,13])
# Play with servo position and LEDs
myArduino.ledOn(13)
for i in range(90,180,10):
    myArduino.posServo(6,i)
myArduino.ledOff(13)
time.sleep(1)
myArduino.ledOn(12)
for i in range(180,0,-10):
    myArduino.posServo(6,i)
myArduino.ledOff(12)
time.sleep(1)
myArduino.posServo(6,90)
# Turn LEDs on/off and play beep
for i in range(5):
    myArduino.beep(3)
    myArduino.ledOn([12,13])
    myArduino.ledOff([12,13])
time.sleep(1)
# Plays a melody on buzzer
# Melody notes
melody=[330,330,330,262,330,392,196,262,196,165,220,247,233,220,196,330,392, \
440,349,392,330,262,294,247,262,196,165,220,247,233,220,196,330,392,440,349, \
392,330,262,294,247,392,370,330,311,330,208,220,262,220,262,294,392,370,330, \
311,330,523,523,523,392,370,330,311,330,208,220,262,220,262,294,311,294,262, \
262,262,262,262,294,330,262,220,196,262,262,262,262,294,330,262,262,262,262, \
294,330,262,220,196]
# Note durations
noteDurations=[8,4,4,8,4,2,2,3,3,3,4,4,8,4,8,8,8,4,8,4,3,8,8,3,3,3,3,4,4,8,  \
4,8,8,8,4,8,4,3,8,8,2,8,8,8,4,4,8,8,4,8,8,3,8,8,8,4,4,4,8,2,8,8,8,4,4,8,8,4, \
8,8,3,3,3,1,8,4,4,8,4,8,4,8,2,8,4,4,8,4,1,8,4,4,8,4,8,4,8,2]
# Send notes to Arduino
for thisNote in range(len(melody)):
    noteDuration=1000/noteDurations[thisNote]
    myArduino.beep(3,melody[thisNote],noteDuration)
    pauseBetweenNotes=noteDuration*1.1
    time.sleep(pauseBetweenNotes/1000.0)
